#include <nsIHelperAppLauncherDialog.h>
#include <nsCOMPtr.h>
#include <nsString.h>
#include <glib.h>

#include <gwebtransferitem.h>

class nsIURI;
class nsIFile;

#define CONTENTHANDLER_CID {0x53df12a2, 0x1f4a, 0x4382, {0x99, 0x4e, 0xed, 0x62, 0xcf, 0x0d, 0x6b, 0x3a}}

class nsIFactory;

class ContentHandler : public nsIHelperAppLauncherDialog
{
public:
    NS_DECL_ISUPPORTS
    NS_DECL_NSIHELPERAPPLAUNCHERDIALOG

    ContentHandler();
    virtual ~ContentHandler();

private:
    NS_METHOD GetDownloadInfo (void);

    nsCOMPtr<nsIHelperAppLauncher> mLauncher;
    nsCOMPtr<nsISupports> mContext;

    nsCOMPtr<nsIURI> mUri;

    nsCOMPtr<nsIFile> mDestFile;
    nsCOMPtr<nsILocalFile> mFile;

    nsCAutoString mMimeType;

    nsCAutoString mSpec;
    nsAutoString mFilename;
    nsCAutoString mCFilename;
};
