
/** Copyright (C) 2005 10LE
  * GTK Mozilla
  * @file gmozillaglobalhistory.h: Global History Mozilla Functions Declarations
  */

#ifndef __gmozillaglobalhistory_h
#define __gmozillaglobalhistory_h

#include "gmozillahistorylist.h"

typedef struct _GtkWebHistoryItem GtkWebHistoryItem;

struct _GtkWebHistoryItem
{
    gchar *title;
    gchar *url;
    long accessed;
};

extern "C" void gtk_mozilla_web_get_history_list(GtkWebHistoryItem *, gint&);
extern "C" void gtk_mozilla_web_delete_history_list(GObject *);
extern "C" void gtk_mozilla_web_remove_from_global_history(GObject *, GtkWebHistoryItem *);

#endif
